Subject: Re: [pkix] I-D Action: draft-ietf-pkix-caa-13.txt

From: Phillip Hallam-Baker <[email-masked]>
Date: Fri, 5 Oct 2012 14:13:33 -0400

OK, I checked the spec and I am certain that the language there is correct,
the search goes up to but not including the dot. However to make sure I
propose adding the following:

        The search for a CAA record climbs the DNS name tree from the
        specified label up to but not including the DNS root '.'.

I did think of adding in an explanation but this is normative text and that
is a bad idea ('A well regulated PKI...')

the reason it has to be this way is that even though a CAA record is
unlikely to appear in .com it is very likely we will see them appear if the
new ICANN TLDs actually happen the way they imagine.

On Wed, Sep 19, 2012 at 9:46 AM, Stephen Kent <[email-masked]> wrote:

>  Phillip,
>
> I have confidence that you can add suitable language to address this
> concern.
>
> The WGLC has completed and I will ask Sean to re-submit the doc for
> IETF-wide LC.
>
> Steve
>
>
> On 9/18/12 2:54 PM, Phillip Hallam-Baker wrote:
>
> OK, the only comment I saw was that maybe I should go back and make
> absolutely sure that the language makes clear that we are scanning up to
> and including the TLD but not looking in the root itself (which would
> expose us to a whole new set of concerns such as the fact that there is
> more than one of them and the root operators are not the same as ICANN).
>
> On Wed, Sep 5, 2012 at 12:03 PM, Stephen Kent <[email-masked]> wrote:
>
>> As per Sean's message, we are beginning a second WGLC for CAA (version
>> 13), effective today.
>> Since this is a second WGLC, it will be a bit shorter this time,
>> terminating on 9/15.
>>
>> Steve
>>
>>
>> _______________________________________________
>> pkix mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/pkix
>>
>
>
>
>  --
> Website: http://hallambaker.com/
>
>
>

-- 
Website: http://hallambaker.com/